create procedure sistema.sp_guardarEmpresa
@numId int,
@numCodempresa int,
@txtNombreEmpresa varchar(350),
@numPrincipal bit,
@txtUrlApi nvarchar(300),
@txtApiKey nvarchar(350),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;
	declare @dbError varchar(300);
	declare @dbCnt int;

	select @dbCnt = COUNT(*) FROM sistema.datos_empresas where codempresa = @numCodempresa;

	if @dbCnt > 0
		begin
			select top(1) @dbId = id from sistema.datos_empresas where codempresa = @numCodempresa;
		end

	if @dbId is null
		begin
			insert into sistema.datos_empresas(codempresa,nombreEmpresa,urlApi,apiKey,principal,idUsuario) values(@numCodempresa,@txtNombreEmpresa,@txtUrlApi,@txtApiKey,@numPrincipal,@numUsuario);
			select @dbId = SCOPE_IDENTITY();
		end
	else	
		begin
			update sistema.datos_empresas set nombreEmpresa = @txtNombreEmpresa,urlApi = @txtUrlApi,apiKey = @txtApiKey,principal = @numPrincipal,estado = 1 where id = @dbId;
		end

	set @dbRespuesta = ISNULL(@dbError,'success');
end